package lib.map.base.colors;

import java.awt.Color;

/**
 * @class lib.map.base.colors
 * 
 * ...Module description...
 * 
 * @author Tihomir Lazarov
 * @date   May 25, 2005
 */
public class YCrCb {
	public long y;
	public long cr;
	public long cb;
	
	public void toYCrCb( Color c )
	{
		int red   = c.getRed( );
		int green = c.getGreen( );
		int blue  = c.getBlue( );
		y  = Math.round( (0.257 * red) + (0.504 * green) + (0.098 * blue) + 16 );
		cr = Math.round( (0.439 * red) - (0.368 * green) - (0.071 * blue) + 128 );
	   cb = Math.round( -(0.148 * red) - (0.291 * green) + (0.439 * blue) + 128 ); 
	}
}
