package lib.comm;

import java.io.Serializable;
import java.util.Hashtable;

/**
 * @class lib.comm
 * 
 * Serializable class that keeps the area information
 * 
 * @author Tihomir Lazarov
 * @date   Jun 5, 2005
 */
public class AreaInfo implements Serializable {
	public long id;
	public int x;
	public int y;
	public int width;
	public int height;
	public int realWidth;
	public int realHeight;
	public Hashtable info;
	
	public AreaInfo( )
	{
		id				= 0;
		x 				= 0;
		y 				= 0;
		width 		= 0;
		height		= 0;
		realWidth 	= 0;
		realHeight 	= 0;
		info			= new Hashtable( );
	}
}
