package lib.comm;

import java.io.Serializable;
import java.util.Hashtable;

import lib.comm.IconInfo;

/**
 * @class lib.comm
 * 
 * ...Module description...
 * 
 * @author Tihomir Lazarov
 * @date   Jun 5, 2005
 */
public class GroupInfo 
	implements Serializable 
{
	public int id;
	public String name;
	public Hashtable icons; // A hashtable of "IconInfo" objects by ID
	
	public GroupInfo( )
	{
		id 	= 0;
		name 	= "";
		icons	= new Hashtable( );
	}
	
	public void addIcon( IconInfo iconInfo )
	{
		icons.put( new Integer( iconInfo.id ), iconInfo );
	}
	
	public String toString( )
	{
		return name;
	}
}
