package lib.comm;

import java.io.Serializable;

/**
 * @class lib.map.base
 * 
 * Simple map definition structure
 * 
 * @author Tihomir Lazarov
 * @date   Jun 2, 2005
 */
public class MapDefinition implements Serializable 
{
	public int id;
	public String name;
	public String description;
	public long scale;
	public boolean isDefault;
	
	public MapDefinition( )
	{
		id 			= 0;
		name 			= "";
		description	= "";
		scale			= 0;
		isDefault	= false;
	}
	
	public String toString( )
	{
		return name;
	}
}