package lib.map.dynamic;

import java.awt.image.BufferedImage;

import lib.map.dynamic.Area;

/**
 * @class lib.map.dynamic
 * 
 * Holds the returned image from the DynamicMap.getSnapshot( )
 * and the area objects that are currently visible on the map
 * 
 * @author Tihomir Lazarov
 * @date   Aug 17, 2004
 */
public class Snapshot {
	// The areas that are visible on this image
	public Area[]      	areas; 
	// The image to be displayed               
	public BufferedImage image; 
	// Road length in meters
	public long roadLength;
	
}
