package lib.road;

import java.util.ArrayList;

/**
 * @class lib.road
 * 
 * Road point
 * 
 * @author Tihomir Lazarov
 * @date   May 11, 2005
 */
public class RoadPoint {
	//public int index;
	public int id;
	public int x;
	public int y;
	public int references;
	public boolean visited;
	public ArrayList connections;
	
	public RoadPoint( int _x, int _y )
	{
		x           = _x;
		y           = _y;
		connections = new ArrayList( );
		visited     = false;
		//index       = 0;
		id				= 0;
		references	= 0;
	}

	/**
	 * Returns a string representation of the object contents
	 * 
	 * @return the string representation
	 */	
	public String toString( )
	{
		String szDump = "";
		
		szDump = id + "(" + x + "," + y + ") [" + references + "]: ";
		for ( int i = 0; i < connections.size( ); i++ ) {
			ConnectionPoint conn = ( ConnectionPoint ) connections.get( i );
			szDump += conn.id + "(" + conn.distance + "), ";
		}
		return szDump;
	}
}

	
